FBRUN(1)

NAME
fbrun - display run dialog window

SYNOPSIS
fbrun [options]...

DESCRIPTION
fbrun is basically equivalent to the "Run..." dialog in other desktop environments. This means that it is an easy way to start a program that isn't contained in the menu (or needs a special set of parameters for this particular invocation). Another way fbrun can be useful is to be called from the menu with a preloaded command line that you can edit and then execute. An example might be sshing to a very long host name with lots of options of which one changes all the time. In this case, you could add an entry for fbrun to your menu that contains all the options and the host name. When you use said entry, you could edit the line as necessary and execute it.

OPTIONS

-font name
    Text font name

-title name
    Set title

-text text
    Text input

-w width
    Window width in pixels

-h height
    Window height in pixels

-display name
    Display name

-pos x y
    Window position in pixels

-fg name
    Foreground text color

-bg name
    Background color

-na Disable antialias

-hf filename
    History file to load (default ~/.fluxbox/fbrun_history

-help
    Show this help

EXAMPLE
  fbrun -fg black -bg white -text xterm -title "run xterm"

AUTHOR
This manpage was originally written by Bastian Kleineidam <calvin@debian.org> for the Debian distribution of fluxbox (but may be used by others). The main author of fluxbox is Henrik Kinnunen <fluxgen@fluxbox.org>.